Loading...
Searching...
No Matches
gx_engine::PluginListBase Class Reference

`#include <gx_pluginloader.h>`

Inheritance diagram for gx_engine::PluginListBase:

## Public Types

typedef pair< const std::string, Plugin * > | map_pair
typedef map< const std::string, Plugin * > | pluginmap

## Public Member Functions

| PluginListBase ()
| ~PluginListBase ()
void | cleanup ()
Plugin * | find_plugin (const std::string &id) const
Plugin * | lookup_plugin (const std::string &id) const
void | append_rack (UiBuilderBase &ui)
void | writeJSON (gx_system::JsonWriter &jw)
void | readJSON (gx_system::JsonParser &jp, ParamMap &pmap)
pluginmap::iterator | begin ()
pluginmap::iterator | end ()
int | insert_plugin (Plugin *pvars)
void | update_plugin (Plugin *pvars)
void | delete_module (Plugin *pl)

## Protected Types

enum | PluginPosInternal { PLUGIN_POS_RACK_STEREO = PLUGIN_POS_END+1 , PLUGIN_POS_COUNT }

## Protected Attributes

pluginmap | pmap
sigc::signal< void, const char *, bool > | insert_remove

## Detailed Description

Definition at line 129 of file gx_pluginloader.h.

## Member Typedef Documentation

## map_pair

typedef pair<const std::string, Plugin*> gx_engine::PluginListBase::map_pair

Definition at line 131 of file gx_pluginloader.h.

## pluginmap

typedef map<const std::string, Plugin*> gx_engine::PluginListBase::pluginmap

Definition at line 132 of file gx_pluginloader.h.

## Member Enumeration Documentation

## PluginPosInternal

enum gx_engine::PluginListBase::PluginPosInternal

protected

Enumerator
PLUGIN_POS_RACK_STEREO |
PLUGIN_POS_COUNT |

Definition at line 134 of file gx_pluginloader.h.

## Constructor & Destructor Documentation

## PluginListBase()

gx_engine::PluginListBase::PluginListBase | ( |  | ) |

## ~PluginListBase()

gx_engine::PluginListBase::~PluginListBase | ( |  | ) |

## Member Function Documentation

## append_rack()

void gx_engine::PluginListBase::append_rack | ( | UiBuilderBase & | ui | ) |

## begin()

pluginmap::iterator gx_engine::PluginListBase::begin | ( |  | ) |

inline

Definition at line 149 of file gx_pluginloader.h.

## cleanup()

void gx_engine::PluginListBase::cleanup | ( |  | ) |

## delete_module()

void gx_engine::PluginListBase::delete_module | ( | Plugin * | pl | ) |

## end()

pluginmap::iterator gx_engine::PluginListBase::end | ( |  | ) |

inline

Definition at line 150 of file gx_pluginloader.h.

## find_plugin()

Plugin * gx_engine::PluginListBase::find_plugin | ( | const std::string & | id | ) | const

## insert_plugin()

int gx_engine::PluginListBase::insert_plugin | ( | Plugin * | pvars | ) |

## lookup_plugin()

Plugin * gx_engine::PluginListBase::lookup_plugin | ( | const std::string & | id | ) | const

## readJSON()

void gx_engine::PluginListBase::readJSON | ( | gx_system::JsonParser & | jp,
|  | ParamMap & | pmap )

## update_plugin()

void gx_engine::PluginListBase::update_plugin | ( | Plugin * | pvars | ) |

## writeJSON()

void gx_engine::PluginListBase::writeJSON | ( | gx_system::JsonWriter & | jw | ) |

## Member Data Documentation

## insert_remove

sigc::signal<void,const char*,bool> gx_engine::PluginListBase::insert_remove

protected

Definition at line 139 of file gx_pluginloader.h.

Referenced by gx_engine::PluginList::signal_insert_remove().

## pmap

pluginmap gx_engine::PluginListBase::pmap

protected

Definition at line 138 of file gx_pluginloader.h.

Referenced by begin(), end(), and readJSON().

The documentation for this class was generated from the following file:

- src/headers/gx_pluginloader.h